Bug 225402 - [NEW PORT] devel/raylib: graphic library for games
Summary: [NEW PORT] devel/raylib: graphic library for games
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D14167
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-23 11:57 UTC by Sysctl
Modified: 2018-02-16 17:47 UTC (History)
2 users (show)

See Also:


Attachments
raylib port (1.97 KB, text/plain)
2018-01-23 11:57 UTC, Sysctl
no flags Details
raylib port update Makefile (1.83 KB, text/plain)
2018-01-30 12:41 UTC, Sysctl
no flags Details
raylib port update Makefile, pkg-descr (1.89 KB, text/plain)
2018-02-05 23:04 UTC, Sysctl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sysctl 2018-01-23 11:57:56 UTC
Created attachment 189997 [details]
raylib port
Comment 1 Sysctl 2018-01-30 12:41:25 UTC
Created attachment 190198 [details]
raylib port update Makefile

Update Makefile, remove plist file moved to Makefile
Comment 2 Yuri Victorovich freebsd_committer 2018-02-03 10:14:18 UTC
Martin,

What is the difference between Martinfx fork and the original raysan5 repo?

Yuri
Comment 3 Sysctl 2018-02-03 11:14:33 UTC
Hi Yuri,
there are patches for freebsd because in original repository are 
only in devel branch and not are in official release 1.9.1. Therefore i created version pre-release 1.9.2 in Martinfx and i waiting for official release and then i switch on official repository.
Comment 4 Yuri Victorovich freebsd_committer 2018-02-03 21:04:24 UTC
(In reply to Martin Filla from comment #3)

You shouldn't create your own fork just for FreeBSD patches and version update.
Patches should be under files/ and should be reported as pull requests to the uostream.
And only the upstream can set the version.
Comment 5 Waitman Gobble 2018-02-03 22:30:30 UTC
raylib also depends on graphics/glfw
Comment 6 Yuri Victorovich freebsd_committer 2018-02-03 22:53:13 UTC
(In reply to uzimac from comment #5)

I know.

---

I will update this port to source from the original repo.
Will look through diffs and see what should be submitted as pull requests.

Thanks,
Yuri
Comment 7 Yuri Victorovich freebsd_committer 2018-02-04 00:23:36 UTC
There are actually no differences between two repos at the moment.

Martin,

The correct way to use another upstream revision for a port is to use the version returned by "git describe --tags".

I will do this in this case.

Thanks,
Yuri
Comment 8 Sysctl 2018-02-04 10:36:17 UTC
Hi Yuri,
i wrote raysan to https://github.com/raysan5/raylib/issues/401
Comment 9 Sysctl 2018-02-05 23:04:55 UTC
Created attachment 190350 [details]
raylib port update Makefile, pkg-descr

Update Makefile to 1.9.4 version raylib and update pkg-descr
Comment 10 Yuri Victorovich freebsd_committer 2018-02-16 17:46:22 UTC
Committed with small changes.

Thank you for your contribution!
Comment 11 commit-hook freebsd_committer 2018-02-16 17:47:10 UTC
A commit references this bug:

Author: yuri
Date: Fri Feb 16 17:46:20 UTC 2018
New revision: 462049
URL: https://svnweb.freebsd.org/changeset/ports/462049

Log:
  New port: devel/raylib: Simple and easy-to-use library to learn videogames programming

  PR:		225402
  Submitted by:	Martin Filla <martinfilla@post.cz>
  Approved by:	tcberner

Changes:
  head/devel/Makefile
  head/devel/raylib/
  head/devel/raylib/Makefile
  head/devel/raylib/distinfo
  head/devel/raylib/pkg-descr